#!/usr/bin/env gnuplot

set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set output 'index-vs-update.pdf'

set key inside left top box linetype -1 linewidth 1.000
set bars 2.0

set boxwidth 0.15

set logscale x
set xrange [1:128]

set xtics (2,4,8,16,32,64)
set ytics auto
set grid ytics lc rgb '#bbbbbb' lw 1 lt 0

set title 'Index vs. Update'

set xlabel 'M'
set ylabel 'nsec'

plot 'index-vs-update.dat' u 1:2 w linespoints lt 2 t 'Index',\
     'index-vs-update.dat' u 1:3 w linespoints lt 1 t 'Update' 

set terminal epslatex
set output 'index-vs-update.tex'
replot
