#!/usr/bin/env gnuplot

set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set output 'logs.pdf'

set key inside left top box linetype -1 linewidth 1.000 width -2
set bars 2.0

set boxwidth 0.15

set xrange [1:2**31]
set logscale x
set yrange [0:32]

set xtic auto
set ytic auto

set xlabel 'Vector Size'
set ylabel 'Height'

plot ceil(log(x)/log(2)) t '$\lceil\log_2(|P|)\rceil$',\
     ceil(log(x)/log(4)) t '$\lceil\log_4(|P|)\rceil$',\
     ceil(log(x)/log(8)) t '$\lceil\log_8(|P|)\rceil$',\
     ceil(log(x)/log(16)) t '$\lceil\log_{16}(|P|)\rceil$',\
     ceil(log(x)/log(32)) t '$\lceil\log_{32}(|P|)\rceil$'

set terminal epslatex
set output 'logs.tex'
replot
