// barrier before merging result, to avoid race conditions
uint32_t sync_mask = (uint32_t) 1;
while ((own_tid | sync_mask) != own_tid) {
  uint32_t sync_tid = own_tid | sync_mask;
  if (thread_count <= sync_tid) {
    // jump out here, finished.
    goto concatenate_cleanup;
  }
  pthread_barrier_wait(&barriers[sync_tid]);
  // concatenate data
  concat_and_replace_own(intervals[own_tid], intervals[sync_tid]);
  deallocate_if_needed(intervals[sync_tid]);
  sync_mask = sync_mask << 1;
}
pthread_barrier_wait(&barriers[own_tid]);
