# To get build autotools up and running
sudo apt-get install build-essential automake autoconf gnu-standards\
     autoconf-doc libtool gettext autoconf-archive
# To install Boehm GC and development dependencies
sudo apt-get install libgc-dev libgc1c2
# Ensure that Boehm GC (libgc1c2) is 7.2 or higher by checking
# its version number
apt-cache show libgc1c2

## Optional steps: For installing clang
sudo echo "# LLVM
deb http://llvm.org/apt/wheezy/ llvm-toolchain-wheezy main
deb-src http://llvm.org/apt/wheezy/ llvm-toolchain-wheezy main" \
    >> /etc/apt/sources.list

wget -O - http://llvm.org/apt/llvm-snapshot.gpg.key | sudo apt-key add -
sudo apt-get install clang-3.4
## Optional steps ending

cd path/to/rrb
autoreconf --install

## If running Clang
CFLAGS="-Ofast -g" CC="clang" ./configure
## If running gcc (NB: CC must be set if clang is available)
CFLAGS="-Ofast -g" CC="gcc" ./configure
## See 'Options' section for configure flags

## For building and checking the consistency against the test suite
./run-tests.sh

## Optional: Install on the system
sudo make install
## Uninstall by doing `sudo make uninstall` in this directory

# Running and creating benchmarks
cd benchmark-suite
./make-data.sh
cd ..

./run-bench.sh
