set terminal pdf mono font 'Bitstream Charter'
# set termoption dash

set output "box-and-whisker-linepush.pdf"

set title 'Linesearch'

set grid lc rgb '#bbbbbb' lw 1 lt 0
set xtics border nomirror

set xtic auto
set ytic auto

set grid ytics lc rgb '#bbbbbb' lw 1 lt 0

set ylabel 'Nanoseconds'
set xrange [0:5]
#set yrange [0:700000]

set format y '%0.f'

plot '< tail -n 1 rrb-5-/overhead-total-4-linesplit.dat' u (1):3:2:6:5 with candlesticks whiskerbars lt 1  lc rgb 'blue' t "Overhead",\
     '< tail -n 1 rrb-5-/overhead-total-4-linesplit.dat' u (1):4:4:4:4 with candlesticks lt -1 lw 2 notitle,\
     '< tail -n 1 rrb-5-/array-total-4-linesplit.dat' u (1):3:2:6:5 with candlesticks whiskerbars lt 1 lc rgb 'green' t "Array",\
     '< tail -n 1 rrb-5-/array-total-4-linesplit.dat' u (1):4:4:4:4 with candlesticks lt -1 lw 1 notitle,\
     '< tail -n 1 rrb-5-/rrb-total-4-linesplit.dat' u (2):3:2:6:5 with candlesticks whiskerbars lt 1 t 'RRB (naive)',\
     '< tail -n 1 rrb-5-/rrb-total-4-linesplit.dat' u (2):4:4:4:4 with candlesticks lt -1 notitle,\
     '< tail -n 1 rrb-5-DT/rrb-total-4-linesplit.dat' u (3):3:2:6:5 w candlesticks whiskerbars lt 1 lc rgb 'dark-gray' t 'RRB (DT)',\
     '< tail -n 1 rrb-5-DT/rrb-total-4-linesplit.dat' u (3):4:4:4:4 with candlesticks lt -1 notitle,\
     '< tail -n 1 rrb-5-DTM/rrb-total-4-linesplit.dat' u (1.1):3:2:6:5 w candlesticks whiskerbars lt 1 lc rgb 'gray' fs solid 1 t 'RRB (DT!)',\
     '< tail -n 1 rrb-5-DTM/rrb-total-4-linesplit.dat' u (1.1):4:4:4:4 with candlesticks lt -1 lw 1 notitle

set terminal epslatex
set output "box-and-whisker-linepush.tex"
replot
