set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set output "branch-cat.pdf"
dummy="rrb-5-/overhead-total-4-searchfilter.dat"
array="rrb-5-/array-total-4-searchfilter.dat"

set title 'Concatenation time'
set key outside right bottom box linetype -1 linewidth 1.000 width -1
#set key at 1.55,1950 box linetype -1 linewidth 1.000 width -2

set xtic auto
set ytic auto
set yrange [0:0.35]

set grid ytics lc rgb '#bbbbbb' lw 1 lt 0

set xlabel 'Lines matching (in millions)'
set ylabel 'Milliseconds'
# set format y '%.0f'
# set format x '%.0f'

#     array u ($1/1000000):($4/1000000) w line lc rgb 'web-green' t 'Array',\
#      array u ($1/1000000):($8/1000000):($3/1000000):($5/1000000) with yerrorlines lt 1 lc rgb 'web-green' pt 2 t 'Array',\

plot "rrb-5-/overhead-total-4-searchcat.dat" u ($1/1000000):($4/1000000) w linespoints pt 1 lc rgb 'blue' t 'Overhead',\
     "branch/rrb-total-4-2-searchcat.dat" u ($1/1000000):(($4)/1000000) w l lt 1 t 'b=2',\
     "branch/rrb-total-4-3-searchcat.dat" u ($1/1000000):(($4)/1000000) w l lt 2 t 'b=3',\
     "branch/rrb-total-4-4-searchcat.dat" u ($1/1000000):(($4)/1000000) w l lt 3 t 'b=4',\
     "branch/rrb-total-4-5-searchcat.dat" u ($1/1000000):(($4)/1000000) w l lt 4 t 'b=5',\
     "branch/rrb-total-4-6-searchcat.dat" u ($1/1000000):(($4)/1000000) w l lt 5 t 'b=6'
     
#     "rrb-5-M/rrb-total-4-searchfilter.dat" u ($1/1000000):($4/1000000) with linespoints lt 1 pt 2 t 'RRB (!)',\
#     "rrb-5-TM/rrb-total-4-searchfilter.dat" u ($1/1000000):($4/1000000) with line lc rgb 'purple' t 'RRB (T!)',\

set terminal epslatex
set output "branch-cat.tex"
replot
