set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set output "branch-memory.pdf"

set title 'Total memory usage'
set key inside left top box linetype -1 linewidth 1.000 width +1
#set key at 1.55,1950 box linetype -1 linewidth 1.000 width -2

set xtic auto
set ytic auto

set grid ytics lc rgb '#bbbbbb' lw 1 lt 0

set xlabel 'Lines matching (in millions)'
set ylabel 'MB ($1000^2$ bytes)'
# set format y '%.0f'
# set format x '%.0f'

#     array u ($1/1000000):($4/1000000) w line lc rgb 'web-green' t 'Array',\
#      array u ($1/1000000):($8/1000000):($3/1000000):($5/1000000) with yerrorlines lt 1 lc rgb 'web-green' pt 2 t 'Array',\


plot "array-memory.dat" u ($1/1000000):($2/1000000) w linespoints lc rgb 'web-green' t 'Array',\
     '' u ($1/1000000):($3/1000000) w linespoints lt 1 pt 4 lc rgb 'web-green' t 'Array (concat)',\
     "branch/rrb-memory-2.dat" u ($1/1000000):($2/1000000) w line lt 1 t 'b = 2',\
     "branch/rrb-memory-3.dat" u ($1/1000000):($2/1000000) w line lt 2 t 'b = 3',\
     "branch/rrb-memory-4.dat" u ($1/1000000):($2/1000000) w line lt 3 t 'b = 4',\
     "branch/rrb-memory-5.dat" u ($1/1000000):($2/1000000) w line lt 4 t 'b = 5',\
     "branch/rrb-memory-6.dat" u ($1/1000000):($2/1000000) w line lt 5 t 'b = 6'
     
set terminal epslatex
set output "branch-memory.tex"
replot
