set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set output "branch-total.pdf"
dummy="rrb-5-/overhead-total-4-searchfilter.dat"
array="rrb-5-/array-total-4-searchfilter.dat"

set title 'Total runtime excluding overhead'
set key inside right top box linetype -1 linewidth 1.000 width +1
#set key at 1.55,1950 box linetype -1 linewidth 1.000 width -2

set xtic auto
set ytic auto

set grid ytics lc rgb '#bbbbbb' lw 1 lt 0

set xlabel 'Lines matching (in millions)'
set ylabel 'Milliseconds'
# set format y '%.0f'
# set format x '%.0f'

#     array u ($1/1000000):($4/1000000) w line lc rgb 'web-green' t 'Array',\
#      array u ($1/1000000):($8/1000000):($3/1000000):($5/1000000) with yerrorlines lt 1 lc rgb 'web-green' pt 2 t 'Array',\

plot "< paste branch/rrb-total-4-2-total.dat rrb-5-/overhead-total-4-total.dat" u ($1/1000000):(($4 - $13)/1000000) w l t 'b=2',\
     "< paste branch/rrb-total-4-3-total.dat rrb-5-/overhead-total-4-total.dat" u ($1/1000000):(($4 - $13)/1000000) w l t 'b=3',\
     "< paste branch/rrb-total-4-4-total.dat rrb-5-/overhead-total-4-total.dat" u ($1/1000000):(($4 - $13)/1000000) w l t 'b=4',\
     "< paste branch/rrb-total-4-5-total.dat rrb-5-/overhead-total-4-total.dat" u ($1/1000000):(($4 - $13)/1000000) w l t 'b=5',\
     "< paste branch/rrb-total-4-6-total.dat rrb-5-/overhead-total-4-total.dat" u ($1/1000000):(($4 - $13)/1000000) w l t 'b=6'
     
#     "rrb-5-M/rrb-total-4-searchfilter.dat" u ($1/1000000):($4/1000000) with linespoints lt 1 pt 2 t 'RRB (!)',\
#     "rrb-5-TM/rrb-total-4-searchfilter.dat" u ($1/1000000):($4/1000000) with line lc rgb 'purple' t 'RRB (T!)',\

set terminal epslatex
set output "branch-total.tex"
replot
