set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set output "box-and-whisker-cat.pdf"
dummy="rrb-5-/overhead-total-4-searchcat.dat"
array="rrb-5-/array-total-4-searchcat.dat"

set title 'Box-and-whisker plot of concatenation time'
#set key inside left top box linetype -1 linewidth 1.000
set key inside right top box linetype -1 linewidth 1.000 width -1
#set key outside right bottom box linetype -1 linewidth 1.000 width -1

set xtic auto
set ytic auto

set grid ytics lc rgb '#bbbbbb' lw 1 lt 0

set xlabel 'Lines matching (in millions)'
set ylabel 'Nanoseconds'
set xrange [0:*]
set yrange [0:700000]

set format y '%0.f'
# set format x '%.0f'

#     array u ($1/1000000):($4/1000000) w line lc rgb 'web-green' t 'Array',\
#      

#     array u ($1/1000000):($4/1000000):($3/1000000):($5/1000000) with yerrorlines lt 1 lc rgb 'web-green' pt 2 t 'Array',\

plot dummy u ($1 < 80000 ? 1/0 : $1/1000000):3:2:6:5 with candlesticks whiskerbars lt 1 lc rgb 'black' fs solid 1 t "Overhead",\
     '' u ($1 < 80000 ? 1/0 : $1/1000000):4:4:4:4 with candlesticks lt -1 lc rgb 'white' notitle,\
      "rrb-5-/rrb-total-4-searchcat.dat" u ($1 < 80000 ? 1/0 : $1/1000000 + 0.015):3:2:6:5 with candlesticks whiskerbars lt 1 t 'RRB (naive)',\
      "rrb-5-/rrb-total-4-searchcat.dat" u ($1 < 80000 ? 1/0 : $1/1000000 + 0.015):4:4:4:4 with candlesticks lt -1 notitle,\
      "rrb-5-DT/rrb-total-4-searchcat.dat" u ($1 < 80000 ? 1/0 : $1/1000000 + 0.035):3:2:6:5 w candlesticks whiskerbars lt 1 lc rgb 'dark-gray' t 'RRB (DT)',\
      "rrb-5-DT/rrb-total-4-searchcat.dat" u ($1 < 80000 ? 1/0 : $1/1000000 + 0.035):4:4:4:4 with candlesticks lt -1 notitle,\
      "rrb-5-DTM/rrb-total-4-searchcat.dat" u ($1 < 80000 ? 1/0 : $1/1000000 - 0.015):3:2:6:5 w candlesticks whiskerbars lt 1 lc rgb 'gray' fs solid 1 t 'RRB (DT!)',\
      "rrb-5-DTM/rrb-total-4-searchcat.dat" u ($1 < 80000 ? 1/0 : $1/1000000 - 0.015):4:4:4:4 with candlesticks lt -1 lw 1 notitle

#     "rrb-5-TM/rrb-total-4-searchcat.dat" u ($1/1000000):($4/1000000) with line lc rgb 'purple' t 'RRB (T!)',\

set terminal epslatex
set output "box-and-whisker-cat.tex"
replot
