set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set output "rrb-memory.pdf"

set title 'Total memory usage'
set key inside left top box linetype -1 linewidth 1.000 width -2
#set key at 1.55,1950 box linetype -1 linewidth 1.000 width -2

set xtic auto
set ytic auto

set grid ytics lc rgb '#bbbbbb' lw 1 lt 0

set xlabel 'Lines matching (in millions)'
set ylabel 'MB ($1000^2$ bytes)'
# set format y '%.0f'
# set format x '%.0f'

#     array u ($1/1000000):($4/1000000) w line lc rgb 'web-green' t 'Array',\
#      array u ($1/1000000):($8/1000000):($3/1000000):($5/1000000) with yerrorlines lt 1 lc rgb 'web-green' pt 2 t 'Array',\
# "array-memory.dat" u ($1/1000000):($2/1000000) w line lc rgb 'web-green' t 'Array',\

actual(x) = 8*x

plot actual(x) lc rgb 'blue' t 'No overhead',\
     "array-memory.dat" u ($1/1000000):($2/1000000) w linespoints lt 1 lc rgb 'web-green' t 'Array',\
     '' u ($1/1000000):($3/1000000) w linespoints lt 1 pt 4 lc rgb 'web-green' t 'Array (concat)',\
     "rrb-5-/rrb-memory-.dat" u ($1/1000000):($2/1000000) with linespoints lt 1 lc rgb 'dark-red' pt 8 t 'RRB (naive)',\
     "rrb-5-D/rrb-memory-.dat" u ($1/1000000):($2/1000000) w l lt 4 t 'RRB (D)',\
     "rrb-5-DT/rrb-memory-.dat" u ($1/1000000):($2/1000000) with line lt 5 t 'RRB (DT)',\
     "rrb-5-DM/rrb-memory-.dat" u ($1/1000000):($2/1000000) with line lt 1 t 'RRB (D!)',\
     "rrb-5-DTM/rrb-memory-.dat" u ($1/1000000):($2/1000000) w l lt 7 lc rgb 'dark-orange' t 'RRB (DT!)'
     
set terminal epslatex
set output "rrb-memory.tex"
replot
