set terminal pdf mono font 'Bitstream Charter'
set termoption dash

set output "all-total.pdf"
dummy="rrb-5-/overhead-total-4-total.dat"
array="rrb-5-/array-total-4-total.dat"
rrb="rrb-5-/overhead-total-4-total.dat"

set title 'Total runtime'
#set key inside left top box linetype -1 linewidth 1.000
set key at 1.55,4300 box linetype -1 linewidth 1.000 width -2

set grid ytics lc rgb '#bbbbbb' lw 1 lt 0

set xtic auto
set ytic auto

set xlabel 'Lines matching (in millions)'
set ylabel 'Milliseconds'
# set format y '%.0f'
# set format x '%.0f'

plot dummy u ($1/1000000):($4/1000000) w linespoints pt 1 lc rgb 'blue' t 'Overhead',\
     array u ($1/1000000):($4/1000000) w linespoints pt 2 lt 1 lc rgb 'web-green' t 'Array',\
     "rrb-5-/rrb-total-4-total.dat" u ($1/1000000):($4/1000000) with linespoints lt 1 lc rgb 'dark-red' pt 8 t 'RRB (naive)',\
     "rrb-5-D/rrb-total-4-total.dat" u ($1/1000000):($4/1000000) with line lt 4 t 'RRB (D)',\
     "rrb-5-DT/rrb-total-4-total.dat" u ($1/1000000):($4/1000000) with line lt 5 t 'RRB (DT)',\
     "rrb-5-DM/rrb-total-4-total.dat" u ($1/1000000):($4/1000000) with line lt 1 t 'RRB (D!)',\
     "rrb-5-DTM/rrb-total-4-total.dat" u ($1/1000000):($4/1000000) w l lt 7 lc rgb 'dark-orange' t 'RRB (DT!)',\

#     "rrb-5-M/rrb-total-4-total.dat" u ($1/1000000):($4/1000000) with linespoints lt 1 pt 2 t 'RRB (!)',\
#     "rrb-5-TM/rrb-total-4-total.dat" u ($1/1000000):($4/1000000) with line lc rgb 'purple' t 'RRB (T!)',\

set terminal epslatex
set output "all-total.tex"
replot
